!TITLE VAR_SUB_03

  subroutine var_sub_03(n, d1, d2)

! Test 03: correct dimensions, but wrong type
!
  implicit none

! PASSED VARIABLES  
  integer*4 n
  real*8 d1(40), d2(2,3)
  
! LOCAL VARIABLES
  integer*4 i,j
  
!***  Write out the values that have been passed.
  write(*,100)
100  format(/,'VARS: Test 01: correct dimensioning ', &
              ' but type is wrong.')
  write(*,110) (i,d1(i), i=1,40)
110  format('Array1: ',10(i3,F8.2))
  write(*,120) ((i,j,d2(i,j), i=1,2),j=1,3)
120  format('Array 2: ',10(i3,i3,F8.2))
 
! Set a return value
  n =12
  d2(2,3) = n
 
!***  Thats all
  return
  end
           
                   
